Voiding disbursements

To void a disbursement means to cancel the disbursement's outgoing payment after it has been created. This action is typically taken in an attempt to stop the payment process in a downstream system. When a disbursement is voided, it reverses the outgoing payment transaction, and no further action is taken on the disbursement.

You can only void disbursements if they are in the sent status.

Use the following endpoint to void a disbursement:
  • POST /billing/v1/disbursements/{disbursementId}/void

The request body is optional. The available fields in the request body are:

  • internalComment: A comment on the disbursement, as a string
  • voidReason: The reason for voiding the disbursement, as a reference to the VoidReason typelist.

For example, the following request voids disbursement bc:993226.

Command

POST /billing/v1/disbursements/bc:993226/void

Request body

{
    "data": {
        "attributes": {
            "internalComment": "Explanation of void reason",
            "voidReason": {
                "code": "CheckReissue"
            }
        }
    }
}

The disbursement is included in the response object. The status is set to Voided.